<!DOCTYPE html>
<html><head>
<title>eric7.EricGui.EricGenericDiffHighlighter</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricGui.EricGenericDiffHighlighter</h1>
<p>
Module implementing a syntax highlighter for diff outputs.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>_REGEX_CACHE</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricGenericDiffHighlighter">EricGenericDiffHighlighter</a></td>
<td>Class implementing a generic diff highlighter.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#TERMINAL">TERMINAL</a></td>
<td>Function to mark a pattern as the final one to search for.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="EricGenericDiffHighlighter" ID="EricGenericDiffHighlighter"></a>
<h2>EricGenericDiffHighlighter</h2>
<p>
    Class implementing a generic diff highlighter.
</p>

<h3>Derived from</h3>
QSyntaxHighlighter
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricGenericDiffHighlighter.__init__">EricGenericDiffHighlighter</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.__initColours">__initColours</a></td>
<td>Private method to initialize the highlighter colours.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.createRules">createRules</a></td>
<td>Public method to create the highlighting rules.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.formats">formats</a></td>
<td>Public method to determine the highlighting formats for a line of text.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.generateRules">generateRules</a></td>
<td>Public method to generate the rule set.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.highlightBlock">highlightBlock</a></td>
<td>Public method to highlight a block of text.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.makeFormat">makeFormat</a></td>
<td>Public method to generate a format definition.</td>
</tr>
<tr>
<td><a href="#EricGenericDiffHighlighter.regenerateRules">regenerateRules</a></td>
<td>Public method to initialize or regenerate the syntax highlighter rules.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricGenericDiffHighlighter.__init__" ID="EricGenericDiffHighlighter.__init__"></a>
<h4>EricGenericDiffHighlighter (Constructor)</h4>
<b>EricGenericDiffHighlighter</b>(<i>doc</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>doc</i> (QTextDocument)</dt>
<dd>
reference to the text document
</dd>
</dl>
<a NAME="EricGenericDiffHighlighter.__initColours" ID="EricGenericDiffHighlighter.__initColours"></a>
<h4>EricGenericDiffHighlighter.__initColours</h4>
<b>__initColours</b>(<i></i>)
<p>
        Private method to initialize the highlighter colours.
</p>

<a NAME="EricGenericDiffHighlighter.createRules" ID="EricGenericDiffHighlighter.createRules"></a>
<h4>EricGenericDiffHighlighter.createRules</h4>
<b>createRules</b>(<i>*rules</i>)
<p>
        Public method to create the highlighting rules.
</p>

<dl>

<dt><i>rules</i> (set of tuple of (str, QTextCharFormat))</dt>
<dd>
set of highlighting rules (list of tuples of rule
            pattern and highlighting format)
</dd>
</dl>
<a NAME="EricGenericDiffHighlighter.formats" ID="EricGenericDiffHighlighter.formats"></a>
<h4>EricGenericDiffHighlighter.formats</h4>
<b>formats</b>(<i>line</i>)
<p>
        Public method to determine the highlighting formats for a line of
        text.
</p>

<dl>

<dt><i>line</i> (str)</dt>
<dd>
text line to be highlighted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
list of matched highlighting rules (list of tuples of match
            object and format)
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of tuple of (re.Match, QTextCharFormat)
</dd>
</dl>
<a NAME="EricGenericDiffHighlighter.generateRules" ID="EricGenericDiffHighlighter.generateRules"></a>
<h4>EricGenericDiffHighlighter.generateRules</h4>
<b>generateRules</b>(<i></i>)
<p>
        Public method to generate the rule set.
</p>
<p>
        Note: This method must me implemented by derived syntax
        highlighters.
</p>

<a NAME="EricGenericDiffHighlighter.highlightBlock" ID="EricGenericDiffHighlighter.highlightBlock"></a>
<h4>EricGenericDiffHighlighter.highlightBlock</h4>
<b>highlightBlock</b>(<i>text</i>)
<p>
        Public method to highlight a block of text.
</p>

<dl>

<dt><i>text</i> (str)</dt>
<dd>
text to be highlighted
</dd>
</dl>
<a NAME="EricGenericDiffHighlighter.makeFormat" ID="EricGenericDiffHighlighter.makeFormat"></a>
<h4>EricGenericDiffHighlighter.makeFormat</h4>
<b>makeFormat</b>(<i>fg=None, bg=None, bold=False</i>)
<p>
        Public method to generate a format definition.
</p>

<dl>

<dt><i>fg</i> (QColor)</dt>
<dd>
foreground color
</dd>
<dt><i>bg</i> (QColor)</dt>
<dd>
background color
</dd>
<dt><i>bold</i> (bool)</dt>
<dd>
flag indicating bold text
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
format definiton
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QTextCharFormat
</dd>
</dl>
<a NAME="EricGenericDiffHighlighter.regenerateRules" ID="EricGenericDiffHighlighter.regenerateRules"></a>
<h4>EricGenericDiffHighlighter.regenerateRules</h4>
<b>regenerateRules</b>(<i></i>)
<p>
        Public method to initialize or regenerate the syntax highlighter rules.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="TERMINAL" ID="TERMINAL"></a>
<h2>TERMINAL</h2>
<b>TERMINAL</b>(<i>pattern</i>)
<p>
    Function to mark a pattern as the final one to search for.
</p>

<dl>

<dt><i>pattern</i> (str)</dt>
<dd>
pattern to be marked
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
marked pattern
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
